Subject: Re: [PATCH 7/16] powerpc: add support for ps3 platform

From: Christoph Hellwig <[email-masked]>
Date: Tue, 21 Nov 2006 14:22:53 +0100

On Tue, Nov 21, 2006 at 10:59:39PM +1100, Paul Mackerras wrote:
> Geert Uytterhoeven writes:
> 
> > Indeed, and since we don't like changing all of these back and forth, it would
> > be nice to have a definitive decision soon.
> 
> Put the ps3 support in arch/powerpc/platforms/ps3.  If there are
> hypervisor-specific routines, they can have a ps3pf_ prefix if you
> want.

The whole port is hypervisor-specific.  It should be called ps3hv or
sonyhv (in case the plan for more hardware that's crippled by this
hypervisor)  ps3 should be left for a bare metal port that people may
or may not do when they have time at their hands to get rid of the
HV that cripples the hardware.